#
# spec file for package pyalsa
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           pyalsa
BuildRequires:  alsa-devel
BuildRequires:  python-devel
Version:        1.0.29
Release:        lp150.1.7
Summary:        Python ALSA binding
License:        LGPL-2.1+ and GPL-2.0
Group:          Development/Libraries/Python
Source:         pyalsa-%{version}.tar.bz2
Source1:        COPYING
Source2:        COPYING.LIB
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{py_requires}

%description
This package provides the Python binding to ALSA.

%prep
%setup -q
cp %{S:1} %{S:2} .

%build
export CFLAGS="%{optflags} -fno-strict-aliasing"
%{__python} setup.py build

%install
%{__python} setup.py install \
    --root=%{buildroot} \
    --prefix=%{_prefix} \
    --record-rpm=INSTALLED_FILES

%clean
rm -rf %{buildroot}

%files -f INSTALLED_FILES
%defattr(-,root,root)
%doc COPYING*
# %doc doc/*

%changelog
* Thu Feb 26 2015 tiwai@suse.de
- Update to pyalsa 1.0.29: fixes included:
  alsaseq: fix memory leaks
  alsaseq: remove dead code in Sequencer_set_clientname()
* Fri Mar  1 2013 coolo@suse.com
- update license to new format
* Fri Sep  7 2012 tiwai@suse.de
- Updated to version 1.0.26:
  just include previous fixes
* Mon Mar 12 2012 tiwai@suse.de
- Updated to version 1.0.25
  - Add register_poll for alsaseq
  - alsa-python mixer: add poll_fds property
  - ctltest1.py: use new class member names
  - alsamixer: Fix bad PyArg_ParseTuple format strings
- Two backport fixes from upstream:
    Fix get_volume_array() for mono channels
    Fix pyalsa tests for new function names
* Mon Mar 21 2011 coolo@novell.com
- licenses package is about to die
* Mon Apr 26 2010 tiwai@suse.de
- fixed license tag (for overseen GPLv2 file) (bnc#599559)
- add missing COPYING* files
* Mon Apr 19 2010 tiwai@suse.de
- initial version: 1.0.22
